/*
 * This file has been modified as part of the FreeMiNT project. See
 * the file Changes.MH for details and dates.
 */

# ifndef _bios_h
# define _bios_h

# ifdef __TURBOC__
# include "include\mint.h"
# else
# include "include/mint.h"
# endif


extern Func bios_tab[];

unsigned ionwrite (IOREC_T *wrec);
unsigned ionread (IOREC_T *irec);
unsigned btty_ionread (struct bios_tty *b);
void checkbtty_nsig (struct bios_tty *b);
void checkbttys (void);
void checkbttys_vbl (void);
long _cdecl getmpb (void *ptr);
long bconstat (int dev);
long bconin (int dev);
long bconout (int dev, int c);
long _cdecl ubconstat (int dev);
long _cdecl ubconin (int dev);
long _cdecl ubconout (int dev, int c);
long _cdecl rwabs (int rwflag, void *buffer, int number, int recno, int dev, long lrecno);
long _cdecl setexc (int number, long vector);
long _cdecl tickcal (void);
long _cdecl getbpb (int dev);
long bcostat (int dev);
long _cdecl ubcostat (int dev);
long _cdecl mediach (int dev);
long _cdecl drvmap (void);
long _cdecl kbshift (int mode);
long _cdecl bflush (void);
void init_bios (void);
long _cdecl do_bconin (int dev);
int checkkeys (void);
void init_vectors (void);
void unlink_vectors  (long start, long end);

# endif /* _bios_h */
