/*
 * This file has been modified as part of the FreeMiNT project. See
 * the file Changes.MH for details and dates.
 */

# ifndef _biosfs_h
# define _biosfs_h

# ifdef __TURBOC__
# include "include\mint.h"
# else
# include "include/mint.h"
# endif


long rsvf_ioctl (int f, void *arg, int mode);
void biosfs_init (void);
long iwrite	(int bdev, const char *buf, long bytes, int ndelay, struct bios_file *b);
long iread	(int bdev, char *buf, long bytes, int ndelay, struct bios_file *b);
long iocsbrk	(int bdev, int mode, struct bios_tty *t);
void _cdecl mouse_handler (const char *buf);
long _cdecl nocreat (fcookie *dir, const char *name, unsigned mode, int attrib, fcookie *fc);
long _cdecl nomkdir	(fcookie *dir, const char *name, unsigned mode);
long _cdecl nowritelabel (fcookie *dir, const char *name);
long _cdecl noreadlabel (fcookie *dir, char *name, int namelen);
long _cdecl nosymlink (fcookie *dir, const char *name, const char *to);
long _cdecl noreadlink (fcookie *dir, char *buf, int buflen);
long _cdecl nohardlink (fcookie *, const char *, fcookie *, const char *);
long _cdecl nofscntl (fcookie *dir, const char *name, int cmd, long arg);
long _cdecl nodskchng (int drv, int mode);
int set_auxhandle (PROC *, int);

long	_cdecl null_open	(FILEPTR *f);
long	_cdecl null_write	(FILEPTR *f, const char *buf, long bytes);
long	_cdecl null_read	(FILEPTR *f, char *buf, long bytes);
long	_cdecl null_lseek	(FILEPTR *f, long where, int whence);
long	_cdecl null_ioctl	(FILEPTR *f, int mode, void *buf);
long	_cdecl null_datime	(FILEPTR *f, ushort *time, int rwflag);
long	_cdecl null_close	(FILEPTR *f, int pid);
long	_cdecl null_select	(FILEPTR *f, long p, int mode);
void	_cdecl null_unselect	(FILEPTR *f, long p, int mode);

# endif /* _biosfs_h */
