/*
 * This file belongs to FreeMiNT.  It's not in the original MiNT 1.12
 * distribution.  See the file Changes.MH for a detailed log of changes.
 */

/*
 * This file is dedicated to the FreeMiNT project.
 * It's not allowed to use this file for other projects without my
 * explicit permission.
 */

/*
 * begin:	1998-02
 * last change: 1998-09-02
 * 
 * Author: Frank Naumann - <fnaumann@cs.uni-magdeburg.de>
 * 
 * please send suggestions, patches or bug reports to me or
 * the MiNT mailing list
 * 
 */

# ifndef _block_IO_h
# define _block_IO_h

# ifdef __TURBOC__
# include "include\mint.h"
# else
# include "include/mint.h"
# endif


/*
 * exported data structures
 */

extern	BIO			bio;


/*
 * exported functions
 */

void	init_block_IO		(void);
void	bio_sync_all		(void);

/* extended configuration */
long	bio_set_cache_size	(long size);
long	bio_set_percentage	(long percentage);


# endif /* _block_IO_h */
