/*
 * This file has been modified as part of the FreeMiNT project. See
 * the file Changes.MH for details and dates.
 */

# ifndef _console_h
# define _console_h

# ifdef __TURBOC__
# include "include\mint.h"
# else
# include "include/mint.h"
# endif


long file_instat P_((FILEPTR *f));
long file_outstat P_((FILEPTR *f));
long file_getchar P_((FILEPTR *f, int mode));
long file_putchar P_((FILEPTR *f, long c, int mode));
long _cdecl c_conin P_((void));
long _cdecl c_conout P_((int c));
long _cdecl c_auxin P_((void));
long _cdecl c_auxout P_((int c));
long _cdecl c_prnout P_((int c));
long _cdecl c_rawio P_((int c));
long _cdecl c_rawcin P_((void));
long _cdecl c_necin P_((void));
long _cdecl c_conws P_((const char *str));
long _cdecl c_conrs P_((char *buf));
long _cdecl c_conis P_((void));
long _cdecl c_conos P_((void));
long _cdecl c_prnos P_((void));
long _cdecl c_auxis P_((void));
long _cdecl c_auxos P_((void));
long _cdecl f_instat P_((int fh));
long _cdecl f_outstat P_((int fh));
long _cdecl f_getchar P_((int fh, int mode));
long _cdecl f_putchar P_((int fh, long c, int mode));

# endif /* _console_h */
