/*
 * This file has been modified as part of the FreeMiNT project. See
 * the file Changes.MH for details and dates.
 */

# ifndef _dosmem_h
# define _dosmem_h

# ifdef __TURBOC__
# include "include\mint.h"
# else
# include "include/mint.h"
# endif


long _cdecl m_addalt (long start, long size);
long _do_malloc (MMAP map, long size, int mode);
long _cdecl m_xalloc (long size, int mode);
long _cdecl m_alloc (long size);
long _cdecl m_free (virtaddr block);
long _cdecl m_shrink (int dummy, virtaddr block, long size);
long _cdecl p_exec (int mode, void *ptr1, void *ptr2, void *ptr3);
long terminate (int code, int que);
long _cdecl p_term (int code);
long _cdecl p_term0 (void);
long _cdecl p_termres (long save, int code);
long _cdecl p_waitpid (int pid, int nohang, long *rusage);
long _cdecl p_wait3 (int nohang, long *rusage);
long _cdecl p_wait (void);
long _cdecl p_vfork (void);
long _cdecl p_fork (void);
long _cdecl p_sigintr (ushort vec, ushort sig);

# endif /* _dosmem_h */
